Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.heuristic.selector.common.iterator
Class AbstractRandomSwapIterator<S,SubS>

    java.lang.Object
      org.drools.planner.core.heuristic.selector.common.iterator.UpcomingSelectionIterator<S>
          org.drools.planner.core.heuristic.selector.common.iterator.AbstractRandomSwapIterator<S,SubS>

All Implemented Interfaces:
  Iterator<S>

    public abstract class AbstractRandomSwapIterator<S,SubS>

extends UpcomingSelectionIterator<S>

Field Summary
`protected Iterator<SubS>` | `leftSubSelectionIterator`
`protected Iterable<SubS>` | `leftSubSelector`
`protected Iterator<SubS>` | `rightSubSelectionIterator`
`protected Iterable<SubS>` | `rightSubSelector`

Fields inherited from class org.drools.planner.core.heuristic.selector.common.iterator.UpcomingSelectionIterator
`upcomingSelection`

Constructor Summary
`AbstractRandomSwapIterator(Iterable<SubS> leftSubSelector, Iterable<SubS> rightSubSelector)`

Method Summary
`protected void` | `createUpcomingSelection()`
`protected abstract S` | `newSwapSelection(SubS leftSubSelection, SubS rightSubSelection)`

Methods inherited from class org.drools.planner.core.heuristic.selector.common.iterator.UpcomingSelectionIterator
`hasNext, next, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### leftSubSelector

    protected final Iterable<SubS> leftSubSelector

### rightSubSelector

    protected final Iterable<SubS> rightSubSelector

### leftSubSelectionIterator

    protected Iterator<SubS> leftSubSelectionIterator

### rightSubSelectionIterator

    protected Iterator<SubS> rightSubSelectionIterator

Constructor Detail

### AbstractRandomSwapIterator

    public AbstractRandomSwapIterator(Iterable<SubS> leftSubSelector,
                                      Iterable<SubS> rightSubSelector)

Method Detail

### createUpcomingSelection

    protected void createUpcomingSelection()

  Specified by:
    `createUpcomingSelection` in class `UpcomingSelectionIterator<S>`

### newSwapSelection

    protected abstract S newSwapSelection(SubS leftSubSelection,
                                          SubS rightSubSelection)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.